INSTALL ?= install
STRIP ?= strip

ifeq ($(PACKAGE_VERSION), 9.9.9)
	PACKAGE = $(PACKAGEDIR)/$(PACKAGE_NAME)
else
	PACKAGE = $(PACKAGEDIR)/$(PACKAGE_NAME)_$(PACKAGE_VERSION)
endif
GCC_ARCHITECTURE = $(shell $(CC) -dumpmachine)

all: package

$(PACKAGE)/DEBIAN/control: control
	#Development pacjage
	$(INSTALL) -d $(PACKAGE)
	$(INSTALL) -d $(PACKAGE)/DEBIAN
	echo "Package: $(PACKAGE_NAME)" > $(PACKAGE)/DEBIAN/control
ifeq ($(GCC_ARCHITECTURE),x86_64-linux-gnu)
	echo "Architecture: amd64" >> $(PACKAGE)/DEBIAN/control
else
	echo "Architecture: i386" >> $(PACKAGE)/DEBIAN/control
endif
	echo "Version: $(PACKAGE_VERSION)" >> $(PACKAGE)/DEBIAN/control
	cat control >> $(PACKAGE)/DEBIAN/control

$(PACKAGE)/DEBIAN/postinst: postinst
	$(INSTALL) -d $(PACKAGE)
	$(INSTALL) -d $(PACKAGE)/DEBIAN
	$(INSTALL) -m 0755 postinst $(PACKAGE)/DEBIAN/postinst

package: $(PACKAGE)/DEBIAN/control $(PACKAGE)/DEBIAN/postinst
	$(INSTALL) -d $(PACKAGE)
	# copy pkg config files to /usr/share/pkgconfig
	$(INSTALL) -d $(PACKAGE)/usr/share/pkgconfig
	cp $(STAGINGDIR)/build/pkg-config/* $(PACKAGE)/usr/share/pkgconfig/
	# copy include files
	$(INSTALL) -d $(PACKAGE)/usr/local/include/
	cp -r $(STAGINGDIR)/include/* $(PACKAGE)/usr/local/include/
	# remove components.h 
	rm $(PACKAGE)/usr/local/include/components.h
	# copy libs to /usr/local/lib
	$(INSTALL) -d $(PACKAGE)/usr/lib
	cp -r $(STAGINGDIR)/lib/* $(PACKAGE)/usr/lib/
	# build package
	dpkg-deb -D --build $(PACKAGE)

.PHONY: all
